QGIS Application - Bug report #13182
QGIS WFS Server returns empty answer
2015-08-04 11:56 AM - dr -

Status: Closed

Priority: Normal

Assignee: René-Luc RelLuc

Category: QGIS Server

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 21244
Description

GetCapabilities works fine but GetFeature returns empty response:

<wfs:FeatureCollection xmiIns:wfs="http://www.opengis.net/wfs" xmins:ogc="http://www.opengis.net/ogc"
xmins:gml="http://www.opengis.net/gml" xmins:ows="http://www.opengis.net/ows" xmins:xlink="http://www.w3.0rg/1999/xlink"
xmins:qgs="http://www.qgis.org/gml" xmins:xsi="http://www.w3.0rg/2001/XMLSchema-instance"
xsi:schemalocation="http://www.opengis.net/wfs http://schemas.opengis.net/wfs/1.0.0/wfs.xsd http://www.qgis.org/gml
http://localhost:81/qgis_mapserv.fcgi.exe?map=C:%5CDocuments and
Settings%5CAdministrator%5Cqgisserver%5Cqgis-mapnik.qgs&amp;SRSNAME=EPSG:4326&amp;SERVICE=WFS&amp;VERSION=1.0.0
SION=1.0.0&amp;REQUEST=DescribeFeature Type&amp;TYPENAME=boundary&amp;OUTPUTFORMAT=XMLSCHEMA">

History

#1 - 2015-08-13 03:54 AM - Jukka Rahkonen
You should add so much details and sample data for the layer "boundary" that others can reproduce your issue. With this information it is impossible to do

anything.

#2 - 2015-12-01 12:56 AM - Henrik Uggla

- Target version set to Future Release - High Priority

This works fine in 2.8.1 but returns empty response in 2.8.4:

http://server/cgi-bin/qgis_mapserv.fcgi?service=WFS&#38;srs=EPSG:3008&#38;typename=fastyta_&#38;version=1.0.0&#38;request=GetFeature&#38;

utputformat=GeoJ SON&#38;format=text/xm|&#38;bbox=199684.574536,6201310.86316,199693.041224,6201319.329848&#38;maxfeatures=208#38;width=192
idth=1920&#38;height=621

This works in both 2.8.1 and 2.8.4:

http://server/cgi-bin/qgis_mapserv.fcgi?service=WFS&#38;srs=EPSG:3008&#38;typename=fastyta_&#38;version=1.0.0&#38;request=GetFeature&#38;
utputformat=GML2&#38;format=text/xmI|&#38;bbox=199684.574536,6201310.86316,199693.041224,6201319.329848&#38;maxfeatures=20&#38;width=1920&4
=1920&#38;height=621

Tested on Ubuntu 14.04 64bit with ubuntugis dependencies.

Please raise priority to blocker.
http://server/cgi-bin/qgis_mapserv.fcgi?service=WFS&#38;srs=EPSG:3008&#38;typename=fastyta_&#38;version=1.0.0&#38;request=GetFeature&#38;outputformat=GeoJSON&#38;format=text/xml&#38;bbox=199684.574536,6201310.86316,199693.041224,6201319.329848&#38;maxfeatures=20&#38;width=1920&#38;height=621
http://server/cgi-bin/qgis_mapserv.fcgi?service=WFS&#38;srs=EPSG:3008&#38;typename=fastyta_&#38;version=1.0.0&#38;request=GetFeature&#38;outputformat=GeoJSON&#38;format=text/xml&#38;bbox=199684.574536,6201310.86316,199693.041224,6201319.329848&#38;maxfeatures=20&#38;width=1920&#38;height=621
http://server/cgi-bin/qgis_mapserv.fcgi?service=WFS&#38;srs=EPSG:3008&#38;typename=fastyta_&#38;version=1.0.0&#38;request=GetFeature&#38;outputformat=GeoJSON&#38;format=text/xml&#38;bbox=199684.574536,6201310.86316,199693.041224,6201319.329848&#38;maxfeatures=20&#38;width=1920&#38;height=621
http://server/cgi-bin/qgis_mapserv.fcgi?service=WFS&#38;srs=EPSG:3008&#38;typename=fastyta_&#38;version=1.0.0&#38;request=GetFeature&#38;outputformat=GML2&#38;format=text/xml&#38;bbox=199684.574536,6201310.86316,199693.041224,6201319.329848&#38;maxfeatures=20&#38;width=1920&#38;height=621
http://server/cgi-bin/qgis_mapserv.fcgi?service=WFS&#38;srs=EPSG:3008&#38;typename=fastyta_&#38;version=1.0.0&#38;request=GetFeature&#38;outputformat=GML2&#38;format=text/xml&#38;bbox=199684.574536,6201310.86316,199693.041224,6201319.329848&#38;maxfeatures=20&#38;width=1920&#38;height=621
http://server/cgi-bin/qgis_mapserv.fcgi?service=WFS&#38;srs=EPSG:3008&#38;typename=fastyta_&#38;version=1.0.0&#38;request=GetFeature&#38;outputformat=GML2&#38;format=text/xml&#38;bbox=199684.574536,6201310.86316,199693.041224,6201319.329848&#38;maxfeatures=20&#38;width=1920&#38;height=621

#3 - 2015-12-01 06:50 AM - Jukka Rahkonen

It may not help, but | would have a try with correct request by removing &format, &width, and &height which do not belong to WFS. Unknown parameters

should be quietly skipped but sometimes they make problems. Have you checked from the GetCapabilities that outputformat=GeoJSON appears there and

that it is written exactly that way?

#4 - 2015-12-15 07:43 AM - asgerpetersen -

| think this issue may be related to #13991

The response may look empty because the server sets a wrong content-length header in the http response.

#5 - 2016-01-22 05:59 AM - asgerpetersen -

Is this issue still relevant? If it is a duplicate of #13991 it probably should be closed.

#6 - 2016-02-16 05:25 AM - René-Luc ReLuc

- Assignee set to René-Luc RelLuc

#7 - 2016-03-29 12:35 AM - Henrik Uggla

This bug is still present in 2.8.8.

#8 - 2016-03-29 01:06 AM - Henrik Uggla

Bug present since 2.8.2

#9 - 2017-05-01 01:07 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No
#10 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
